Proxy HTTP DELETE request

Auth

Proxies the HTTP DELETE request to the deployment resource. You must specify the X-Management-Request HTTP header. NOTE: Use this endpoint for management purposes. It does not provide high performance.

Path parameters

deployment_id string required

Identifier for the Deployment

resource_kind enum required

The kind of resource

Values: elasticsearch kibana enterprise_search integrations_server
ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one)

proxy_path string required

The URL part to proxy to the deployment resource. Example: _cat/indices, /api/spaces/space or /api/ent/v1/internal/health

Header parameters

X-Management-Request string required

You must specify the X-Management-Request HTTP header with value true. NOTE: Use this endpoint for management purposes. It does not provide high performance.

Request body

The JSON payload to proxy to the deployment resource.

Type: string

Responses

The request has been processed successfully through the proxy.

application/octet-stream
value string required